import { Node, NodeChildren } from '../common/types';
export interface PropItem {
    name: string;
    isOptional: boolean;
    type: Node[];
    description: string;
}
export declare const createPropsRow: ({ name, isOptional, type, description, }: PropItem) => NodeChildren;
export declare const createPropsTable: (title: string, children: PropItem[]) => {
    propsTable: Node[];
    table?: NodeChildren | undefined;
};
